> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# Sign-up a non-customer for a Customer Subscription Package

> Sign-up for a non-customer for a Customer Subscription Package by ID. A payment link will be generated.



## OpenAPI

````yaml /openapi.yaml post /customer-subscription-packages/{packageId}/sign-up/
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Tickets API
  - name: Webhooks API
paths:
  /customer-subscription-packages/{packageId}/sign-up/:
    post:
      tags:
        - Customer Subscription Packages API
      summary: Sign-up a non-customer for a Customer Subscription Package
      description: >-
        Sign-up for a non-customer for a Customer Subscription Package by ID. A
        payment link will be generated.
      operationId: sign-up-customer-subscription-package-to-non-customer
      parameters:
        - name: packageId
          in: path
          description: ID of the Customer Subscription Package to use for the sign-up
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyName
                - address
                - zipCode
                - city
                - email
              properties:
                companyName:
                  type: string
                  example: Test Company BV
                  description: Name of thenew customer
                address:
                  type: string
                  example: Teststreet 123
                  description: Street name and number of the new customer
                zipCode:
                  type: string
                  example: 1234AB
                  description: Zip code of the new customer
                city:
                  type: string
                  example: Amsterdam
                  description: City of the new customer
                email:
                  type: string
                  example: john.doe@test.com
                  description: >-
                    Email of the new customer. This will be used to send
                    notifications to.
      responses:
        '201':
          description: Created pending record
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: 6aec2555-f3e7-4afe-a061-8bfe9687b470
                    description: An ID, as UUID, to identify this temporary record
                  paymentLink:
                    type: string
                    example: https://mollie.com/checkout/abc...
                    description: >-
                      The URL the user should be redirected to for paying the
                      first term and so initiating the subscription.
                  expiresAt:
                    type: string
                    example: '2025-03-05T16:30:00+02:00'
                    description: >-
                      Date and time when the payment link and temporary record
                      expires, written in ATOM format.
        '422':
          description: Something is wrong with the posted data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error_ApiError'
components:
  schemas:
    Error_ApiError:
      type: object
      properties:
        message:
          type: string
          description: Explanation what went wrong
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````